Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdo.jdbc
Interface JDBCFetchPlan

All Superinterfaces:
  org.apache.openjpa.jdbc.kernel.EagerFetchModes, FetchPlan, org.apache.openjpa.jdbc.sql.JoinSyntaxes, KodoFetchPlan, org.apache.openjpa.kernel.LockLevels, org.apache.openjpa.jdbc.kernel.LRSSizes, org.apache.openjpa.kernel.QueryFlushModes

    public interface JDBCFetchPlan

extends KodoFetchPlan, org.apache.openjpa.jdbc.kernel.EagerFetchModes, org.apache.openjpa.jdbc.kernel.LRSSizes, org.apache.openjpa.jdbc.sql.JoinSyntaxes

JDBC extensions to the fetch plan.

Since:
  3.0

Field Summary

Fields inherited from interface kodo.jdo.KodoFetchPlan
`DEFAULT_VALUE, DETACH_ALL_FIELDS`

Fields inherited from interface javax.jdo.FetchPlan
`ALL, DEFAULT, DETACH_LOAD_FIELDS, DETACH_UNLOAD_FIELDS, FETCH_SIZE_GREEDY, FETCH_SIZE_OPTIMAL`

Fields inherited from interface org.apache.openjpa.kernel.LockLevels
`LOCK_NONE, LOCK_READ, LOCK_WRITE`

Fields inherited from interface org.apache.openjpa.kernel.QueryFlushModes
`FLUSH_FALSE, FLUSH_TRUE, FLUSH_WITH_CONNECTION`

Fields inherited from interface org.apache.openjpa.jdbc.kernel.EagerFetchModes
`EAGER_JOIN, EAGER_NONE, EAGER_PARALLEL`

Fields inherited from interface org.apache.openjpa.jdbc.kernel.LRSSizes
`SIZE_LAST, SIZE_QUERY, SIZE_UNKNOWN`

Fields inherited from interface org.apache.openjpa.jdbc.sql.JoinSyntaxes
`SYNTAX_DATABASE, SYNTAX_SQL92, SYNTAX_TRADITIONAL`

Method Summary
`JDBCFetchPlan` | `addJoin(Class cls, String field)` Adds `field` to the set of field names to join when loading objects.
`JDBCFetchPlan` | `addJoin(String field)` Adds `field` to the set of fully-qualified field names to join when loading objects.
`JDBCFetchPlan` | `clearJoins()` Clears the set of field names to join when loading data.
`int` | `getEagerFetchMode()` Return the eager fetch mode.
`int` | `getFetchDirection()` The fetch direction to use as a constant from `ResultSet`.
`Collection` | `getJoins()` Returns the names of the eager join that this component will use when loading objects.
`int` | `getJoinSyntax()` The join syntax to use.
`int` | `getLRSSize()` The large result set size mode to use.
`int` | `getResultSetType()` The result set type to use as a constant from `ResultSet`.
`int` | `getSubclassFetchMode()` Return the subclass fetch mode.
`boolean` | `hasJoin(Class cls, String field)` Return true if the given join has been added.
`JDBCFetchPlan` | `removeJoin(Class cls, String field)` Remove the given field from the joins.
`JDBCFetchPlan` | `removeJoin(String field)` Remove the given fully-qualified field from the joins.
`JDBCFetchPlan` | `setEagerFetchMode(int mode)` Set the eager fetch mode.
`JDBCFetchPlan` | `setFetchDirection(int direction)` The fetch direction to use as a constant from `ResultSet`.
`JDBCFetchPlan` | `setJoins(Class cls, Collection fields)` Sets `fields` as the set of field names to join when loading objects.
`JDBCFetchPlan` | `setJoins(Class cls, String[] fields)` Sets `fields` as the set of field names to join when loading objects.
`JDBCFetchPlan` | `setJoins(Collection fields)` Sets `fields` as the set of fully-qualified field names to join when loading objects.
`JDBCFetchPlan` | `setJoins(String[] fields)` Sets `fields` as the set of fully-qualified field names to join when loading objects.
`JDBCFetchPlan` | `setJoinSyntax(int syntax)` The join syntax to use.
`JDBCFetchPlan` | `setLRSSize(int lrsSize)` The large result set size mode to use.
`JDBCFetchPlan` | `setResultSetType(int type)` The result set type to use as a constant from `ResultSet`.
`JDBCFetchPlan` | `setSubclassFetchMode(int mode)` Set the subclass fetch mode.

Methods inherited from interface kodo.jdo.KodoFetchPlan
`addField, addField, clearFields, getFields, getFlushBeforeQueries, getLockTimeout, getQueryResultCache, getReadLockLevel, getWriteLockLevel, hasField, removeField, removeField, resetGroups, setFields, setFields, setFields, setFields, setFlushBeforeQueries, setLockTimeout, setQueryResultCache, setReadLockLevel, setWriteLockLevel`

Methods inherited from interface javax.jdo.FetchPlan
`addGroup, clearGroups, getDetachmentOptions, getDetachmentRootClasses, getDetachmentRoots, getFetchSize, getGroups, getMaxFetchDepth, removeGroup, setDetachmentOptions, setDetachmentRootClasses, setDetachmentRoots, setFetchSize, setGroup, setGroups, setGroups, setMaxFetchDepth`

Method Detail

### getEagerFetchMode

    int getEagerFetchMode()

  Return the eager fetch mode. Defaults to the `openjpa.jdbc.EagerFetchMode` setting.

### setEagerFetchMode

    JDBCFetchPlan setEagerFetchMode(int mode)

  Set the eager fetch mode. Defaults to the `openjpa.jdbc.EagerFetchMode` setting.

### getSubclassFetchMode

    int getSubclassFetchMode()

  Return the subclass fetch mode. Defaults to the `openjpa.jdbc.SubclassFetchMode` setting.

### setSubclassFetchMode

    JDBCFetchPlan setSubclassFetchMode(int mode)

  Set the subclass fetch mode. Defaults to the `openjpa.jdbc.SubclassFetchMode` setting.

### getResultSetType

    int getResultSetType()

  The result set type to use as a constant from `ResultSet`. Defaults to the `openjpa.jdbc.ResultSetType` setting.

### setResultSetType

    JDBCFetchPlan setResultSetType(int type)

  The result set type to use as a constant from `ResultSet`. Defaults to the `openjpa.jdbc.ResultSetType` setting.

### getFetchDirection

    int getFetchDirection()

  The fetch direction to use as a constant from `ResultSet`. Defaults to the `openjpa.jdbc.FetchDirection` setting.

### setFetchDirection

    JDBCFetchPlan setFetchDirection(int direction)

  The fetch direction to use as a constant from `ResultSet`. Defaults to the `openjpa.jdbc.FetchDirection` setting.

### getLRSSize

    int getLRSSize()

  The large result set size mode to use. Defaults to the `openjpa.jdbc.LRSSize` setting.

### setLRSSize

    JDBCFetchPlan setLRSSize(int lrsSize)

  The large result set size mode to use. Defaults to the `openjpa.jdbc.LRSSize` setting.

### getJoinSyntax

    int getJoinSyntax()

  The join syntax to use.

### setJoinSyntax

    JDBCFetchPlan setJoinSyntax(int syntax)

  The join syntax to use.

### getJoins

    Collection getJoins()

  Returns the names of the eager join that this component will use when loading objects. Defaults to the empty set.

### hasJoin

    boolean hasJoin(Class cls,
                    String field)

  Return true if the given join has been added.

### addJoin

    JDBCFetchPlan addJoin(String field)

  Adds `field` to the set of fully-qualified field names to join when loading objects.

### addJoin

    JDBCFetchPlan addJoin(Class cls,
                          String field)

  Adds `field` to the set of field names to join when loading objects.

### setJoins

    JDBCFetchPlan setJoins(String[] fields)

  Sets `fields` as the set of fully-qualified field names to join when loading objects.

### setJoins

    JDBCFetchPlan setJoins(Class cls,
                           String[] fields)

  Sets `fields` as the set of field names to join when loading objects.

### setJoins

    JDBCFetchPlan setJoins(Collection fields)

  Sets `fields` as the set of fully-qualified field names to join when loading objects.

### setJoins

    JDBCFetchPlan setJoins(Class cls,
                           Collection fields)

  Sets `fields` as the set of field names to join when loading objects.

### removeJoin

    JDBCFetchPlan removeJoin(String field)

  Remove the given fully-qualified field from the joins.

### removeJoin

    JDBCFetchPlan removeJoin(Class cls,
                             String field)

  Remove the given field from the joins.

### clearJoins

    JDBCFetchPlan clearJoins()

  Clears the set of field names to join when loading data. After this operation is invoked, only those fields in the configured fetch groups will be loaded when loading an object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.